Replace a connection's secrets (re-authenticate)
POST /api/integrations/{id}/reconnect. Replace a connection's secrets (re-authenticate). Headless LMS Integrations API reference.
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/integrations/string/reconnect" \ -H "Content-Type: application/json" \ -d '{ "secrets": { "property1": null, "property2": null } }'{ "orgId": "string", "id": "string", "integrationId": "string", "config": { "property1": null, "property2": null }, "active": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Disconnect an integration (destroys its stored secrets) DELETE
DELETE /api/integrations/{id}. Disconnect an integration (destroys its stored secrets). Headless LMS Integrations API reference.
Invoke one of a connection's actions (e.g. a listing that feeds a picker) POST
POST /api/integrations/{id}/actions/{actionId}. Invoke one of a connection's actions (e.g. a listing that feeds a picker). Headless LMS Integrations API reference.